Subject: [forces] I-D Action: draft-ietf-forces-lfb-lib-09.txt

From: [email-masked]
Date: Tue, 22 May 2012 06:55:19 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Forwarding and Control Element Separation Working Group of the IETF.

	Title           : ForCES Logical Function Block (LFB) Library
	Author(s)       : Weiming Wang
                          Evangelos Haleplidis
                          Kentaro Ogawa
                          Chuanhuang Li
                          Halpern Joel
	Filename        : draft-ietf-forces-lfb-lib-09.txt
	Pages           : 114
	Date            : 2012-05-22

   This document defines basic classes of Logical Function Blocks (LFBs)
   used in the Forwarding and Control Element Separation (ForCES).  The
   basic LFB classes are defined according to ForCES FE model and ForCES
   protocol specifications, and are scoped to meet requirements of
   typical router functions and considered as the basic LFB library for
   ForCES.  The library includes the descriptions of the LFBs and the
   XML definitions.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-forces-lfb-lib-09.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-forces-lfb-lib-09.txt

The IETF datatracker page for this Internet-Draft is:
https://datatracker.ietf.org/doc/draft-ietf-forces-lfb-lib/

---

From: "Wang,Weiming" <[email-masked]>
Date: Tue, 22 May 2012 22:09:22 +0800

Hi friends,

The ForCES LFB library document has been updated to 09 version. This update is based on comments collected during WG LC of the document. Followed is the summary on this update: 

===== Editorial modifications: 

1. Section 3.1, added "statistcs query," in the following text: 
(6) Provide network management and system support facilities, including loading, debugging, status reporting, statistcs query, exception reporting and control.

2. Section 3.2.1, removed "When flexibility is not required," for the begin of the first sentense in following paragraph: 
. An LFB should take advantage of its independence as much as possible and have minimal coupling with other LFBs.  The coupling may be from LFB attributes definitions as well as physical implementations.

And also reorganized the followed paragraph, from: 
. Unless there is a clear difference in functionality, similar packet processing should not be represented as two or more different LFBs. Or else, it may add extra burden on implementation to achieve interoperability.
to: 
.  Unless there is a clear difference in functionality, similar packet processing in the base LFB library should not be represented simultaneously as two or more LFBs. For instance, it should not be simultaneously defined with two different LFBs for the same next hop processing. Or else, it may add extra burden on implementation to achieve interoperability.

3. removed trailing spaces in xml files included.

==== Technical modifications: 

1. Section 5.1.2.3 on the flow control element

Changed the TxFlowControl and RxFlowControl elements in the EtherMACIn and EtherMACOut LFBs all to 'optional' ones. According text modifications are made. Moreover, a statement is made as:
If an FE does not implement the component while a CE try to configure the component to this FE, an error from FE may be responded to CE with error code like: 0x09(E_COMPONENT_DOES_NOT_EXIST) or 0x15(E_NOT_SUPPORTED) depending on the FE processing. See RFC5810  for details. 

2. Changed  all statistics components of all LFBs to 'optional'. And added 'optional' statistics components to RedirectIn LFB and RedirectOut LFB.

3.  On metadata in Redirect LFBs, at the ends of Section 5.4.1.1 and 5.4.2.1, the following text is added to both:
Note that all metadata visible to the LFB need to be global and IANA controlled.  See the "IANA Considerations" of the document for more details, where  a metadata ID private space that can be used by vendors is also provided.

----------------

Many thanks to commentators during the WG LC for the valuable comments! More comments are definitely welcome!

thanks a lot.

Weiming Wang

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, May 22, 2012 9:55 PM
Subject: [forces] I-D Action: draft-ietf-forces-lfb-lib-09.txt

> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces
>